Package ru.bitel.oss.systems.inventory.resource.common.bean

# Class IpResource

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.oss.systems.inventory.resource.common.bean.IpResource

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`

public class IpResource extends Id implements GuiTitlable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IpResource()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getAddressFrom()`
  `byte[]`
  `getAddressTo()`
  `int`
  `getCategoryId()`
  `String`
  `getComment()`
  `String`
  `getConfig()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `String`
  `getDns()`
  `String`
  `getGuiTitle()`
  Строка - имя объекта.
  `short`
  `getPrefixLength()`
  `String`
  `getRouter()`
  `String`
  `getSubnetMask()`
  `boolean`
  `isReserveEnd()`
  `boolean`
  `isReserveStart()`
  `IpResource`
  `setAddressFrom(byte[] addressFrom)`
  `IpResource`
  `setAddressTo(byte[] addressTo)`
  `IpResource`
  `setCategoryId(int categoryId)`
  `IpResource`
  `setComment(String comment)`
  `IpResource`
  `setConfig(String config)`
  `IpResource`
  `setDateFrom(Date dateFrom)`
  `IpResource`
  `setDateTo(Date dateTo)`
  `IpResource`
  `setDns(String dns)`
  `IpResource`
  `setId(int id)`
  Устанавливает id объекта
  `IpResource`
  `setPrefixLength(short prefixLength)`
  `IpResource`
  `setReserveEnd(boolean reserveEnd)`
  `IpResource`
  `setReserveStart(boolean reserveStart)`
  `IpResource`
  `setRouter(String router)`
  `IpResource`
  `setSubnetMask(String subnetMask)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IpResource

    public IpResource()

- ## Method Details

  - ### getAddressFrom

    public byte[] getAddressFrom()

  - ### getAddressTo

    public byte[] getAddressTo()

  - ### getCategoryId

    public int getCategoryId()

  - ### getComment

    public String getComment()

  - ### getConfig

    public String getConfig()

  - ### getDateFrom

    public Date getDateFrom()

  - ### getDateTo

    public Date getDateTo()

  - ### getDns

    public String getDns()

  - ### getGuiTitle

    public String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.

  - ### getPrefixLength

    public short getPrefixLength()

  - ### getRouter

    public String getRouter()

  - ### getSubnetMask

    public String getSubnetMask()

  - ### isReserveEnd

    public boolean isReserveEnd()

  - ### isReserveStart

    public boolean isReserveStart()

  - ### setAddressFrom

    public IpResource setAddressFrom(byte[] addressFrom)

  - ### setAddressTo

    public IpResource setAddressTo(byte[] addressTo)

  - ### setCategoryId

    public IpResource setCategoryId(int categoryId)

  - ### setComment

    public IpResource setComment(String comment)

  - ### setConfig

    public IpResource setConfig(String config)

  - ### setDateFrom

    public IpResource setDateFrom(Date dateFrom)

  - ### setDateTo

    public IpResource setDateTo(Date dateTo)

  - ### setDns

    public IpResource setDns(String dns)

  - ### setPrefixLength

    public IpResource setPrefixLength(short prefixLength)

  - ### setReserveEnd

    public IpResource setReserveEnd(boolean reserveEnd)

  - ### setReserveStart

    public IpResource setReserveStart(boolean reserveStart)

  - ### setId

    public IpResource setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setRouter

    public IpResource setRouter(String router)

  - ### setSubnetMask

    public IpResource setSubnetMask(String subnetMask)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Id`